

function onBegin()
    
    disableMovement()
    disableRetry ()
    makeUnskippable ()
    player.ForceCameraUpdate = true
    
    setFlag("phone_visible", true)
    
    say("WHE_NaCline_B_13")
    
    wait(0.3)
    walkTo (1712, false, 1.0, false)
    wait(0.3)
    walkTo (1752, false, 1.0, false)
    wait(0.3)
    walkTo (1688, false, 1.0, false)
    wait(0.3)
    walkTo (1632, false, 1.0, false)
    wait(0.3)
    walkTo (1576, false, 1.0, false)

    

    say("WHE_NaCline_B_14")
    wait(0.5)
    walkTo (1548, walkBackwards==false, speedMultiplier==1, keepWalkingIntoWalls==false)
    wait(0.3)

    player.DummyAutoAnimate = false
    player.Sprite:Play("duck")
    wait(0.8)
    setFlag("phone_visible", false)
    wait(0.5)
    player.DummyAutoAnimate = true

    say("WHE_NaCline_B_15")


    endCutscene ()
    enableMovement()
    enableRetry ()

end

--[[
function onEnd(level, wasSkipped)
	if wasSkipped then
		
        setFlag("phone_visible", false)

        endCutscene ()
		enableMovement()
        
	end
end
--]]